/*
 * Copyright (C) 2005-2013 Schlichtherle IT Services.
 * All rights reserved. Use is subject to license terms.
 */
package net.java.truelicense.core.codec;

import java.lang.reflect.Type;

/**
 * Provides a codec.
 *
 * @author Christian Schlichtherle
 */
public interface CodecProvider {
    /**
     * Returns a codec for the given expected type.
     *
     * @param expected the expected type when decoding an object.
     */
    Codec codec(Type expected);
}
